from ui.editor import Editor


class Instruction_Step_Editor(Editor):
    def __init__(self, action=None, cell_widget=None):
        super().__init__(action=action, cell_widget=cell_widget)
        self.spec.update({
            "num_tape": self.tape_sb,
            "num_ring": self.ring_sb,
            "num_piece": self.piece_sb,
        })
